Get Payment Methods
/brm/paymentMethods/v4/paymentMethod
Request
-
@type: string
Specifies the payment method's subtype.Allowed Values:
[ "cash", "check", "bankAccountDebit", "bankCard", "tokenizedCard" ] -
BIC: string
Specifies the financial institution's Business Identifier Code.
-
account.id: string
Specifies an account's ID when the account links to the payment method.
-
accountNumber: string
Specifies the bank account's number.
-
cardNumber: string
Specifies the bank card's number.
-
cardType: string
Specifies the bank card's type.
-
city: string
Specifies the city in the payment method's address.
-
country: string
Specifies the country in the payment method's address.
-
fields: string
Specifies the properties to include in the response as a comma-separated list.
-
id: string
Specifies the payment method's ID.
-
limit: integer
Specifies the number of resources to include in the response.
-
name: string
Specifies the payment method's friendly name.
-
nameOnCard: string
Specifies the name on the bank card.
-
offset: integer
Specifies the starting index of the resources to include in the response.
-
postCode: string
Specifies the postal code in the payment method's address.
-
sort: string
Specifies the fields to sort as a comma-separated list. Prefix a field with '-' for descending order.
-
stateOrProvince: string
Specifies the state or province in the payment method's address.
-
status: string
Specifies the payment method's status.Allowed Values:
[ "active", "inactive" ] -
street: string
Specifies the payment method's street address.
-
validFor.startDateTime.gte: string(date-time)
Specifies the inclusive minimum date for the payment method's validity start date.
-
validFor.startDateTime.lte: string(date-time)
Specifies the inclusive maximum date for the payment method's validity start date.
There's no request body for this operation.
Back to TopResponse
- application/json;charset=utf-8
200 Response
-
X-Result-Count:
Specifies the actual number of items in the response body.
-
X-Total-Count:
Specifies the total number of items that match the criteria.
-
object
Cash
Specifies a cash payment method with no additional data. You can extend it to include information such as the cashier who accepted the payment or the person who paid.
-
object
Check
Specifies a check payment method.
-
object
BankAccountDebit
Specifies a bank account debit payment method. You can extend it to include any authorization fields that recurring payments require.
-
object
BankCard
Specifies a bank card payment method.
-
object
TokenizedCard
Specifies a tokenized card payment method.
object-
@baseType: string
Allowed Values:
[ "PaymentMethod" ] -
@type: string
Allowed Values:
[ "cash" ] -
effectiveDate(required): string
(date-time)
Specifies the cash payment's effective date.
-
recieptNo(required): string
Specifies the BRM cash receipt number.
-
object
allOf
PaymentMethod
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
object-
@baseType: string
Allowed Values:
[ "PaymentMethod" ] -
@type: string
Allowed Values:
[ "check" ] -
bank(required): string
Specifies the bank that pays the check.
-
checkId(required): string
Specifies the check's unique ID.
-
drawer(required): string
Specifies the person or entity that writes the check.
-
payee(required): string
Specifies the check's payee.
-
signedDate(required): string
(date-time)
Specifies the check's signing date.
-
object
allOf
PaymentMethod
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
object-
@baseType: string
Allowed Values:
[ "PaymentMethod" ] -
@type: string
Allowed Values:
[ "bankAccountDebit" ] -
accountNumber(required): string
Specifies the bank account's number, which may refer to the IBAN or SWIFT number.
-
accountNumberType(required): string
Specifies the account number's type, such as IBAN or SWIFT.
-
bank(required): string
Specifies the bank's display name.
-
BIC: string
Specifies the financial institution's Business Identifier Code or SWIFT code for the account.
-
city: string
Specifies the city in the BRM address.
-
country: string
Specifies the country in the BRM address.
-
owner: string
Specifies the bank account's owner, which also serves as the account name.
-
postCode: string
Specifies the postal code in the BRM address.
-
stateOrProvince: string
Specifies the state or province in the BRM address.
-
street: string
Specifies the BRM street address.
-
object
allOf
PaymentMethod
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
object-
@baseType: string
Allowed Values:
[ "PaymentMethod" ] -
@type: string
Allowed Values:
[ "bankCard" ] -
bank: string
Specifies the bank that issued the card.
-
brand(required): string
Specifies the card's brand.
-
cardNumber(required): string
Specifies the bank card's number.
-
cardType: string
Specifies the card's type, such as credit or debit.
-
city: string
Specifies the city in the BRM address.
-
country: string
Specifies the country in the BRM address.
-
cvv: string
Specifies the card's security code, such as CVV or CVV2.
-
expirationDate(required): string
Specifies the bank card's expiration date.Example:
0325 -
lastFourDigits: string
Specifies the credit card's last four digits.
-
nameOnCard(required): string
Specifies the name on the card.
-
postCode: string
Specifies the postal code in the BRM address.
-
stateOrProvince: string
Specifies the state or province in the BRM address.
-
street: string
Specifies the BRM street address.
-
object
allOf
PaymentMethod
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
object-
@baseType: string
Allowed Values:
[ "PaymentMethod" ] -
@type: string
Allowed Values:
[ "tokenizedCard" ] -
brand(required): string
Specifies the card's brand for possible display purposes.
-
cardType: string
Specifies the card's type for possible display purposes.
-
city: string
Specifies the city in the BRM address.
-
country: string
Specifies the country in the BRM address.
-
countryOfIssue: string
Specifies the tokenized card's country of issue as an ISO 3166-1 alpha-2 country code, such as GB, NG, or FR.
-
expirationDate(required): string
Specifies the tokenized card's expiration date.Example:
0325 -
issuer: string
Specifies the entity that issued the token.
-
lastFourDigits(required): string
Specifies the credit card's last four digits.
-
postCode: string
Specifies the postal code in the BRM address.
-
stateOrProvince: string
Specifies the state or province in the BRM address.
-
street: string
Specifies the BRM street address.
-
token(required): string
Specifies the token as a series of randomly generated numbers.
-
tokenType(required): string
Specifies the token's type, such as emv.
-
object
allOf
PaymentMethod
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
object-
@baseType: string
Allowed Values:
[ "PaymentMethod" ]Specifies the base resource type for an out-of-the-box payment method. -
@type(required): string
Allowed Values:
[ "cash", "tokenizedCard", "bankAccountDebit", "bankCard", "check" ]Specifies the payment method's type, such as bank card, cash, or voucher. -
account: array
account
Refers to the payment method's linked accounts, which may be party accounts or financial accounts.
-
authorizationCode: string
Specifies the authorization code that a financial institution provides. For recurring payments that use this method, this field typically contains the code; individual payments have their own authorization codes.
-
description: string
Specifies a textual description of the payment method's contents.
-
isPreferred: boolean
Specifies whether the owner prefers this payment method. Queries for a specific customer's or account's payment methods typically use this value.
-
name(required): string
Specifies the payment method's friendly name.
- relatedParty: object Related Party
- relatedPlace: object RelatedPlace
-
status: string
Specifies the payment method's status.
-
statusDate: string
(date-time)
Specifies when the payment method's status last changed.
-
statusReason: string
Specifies the reason for the last status change.
-
validFor: object
TimePeriod
Represents a time period with a start date, an end date, or both.
-
object
allOf
Entity
Represents a base entity schema for TM Forum Open APIs.
object-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
href: string
The hyperlink reference.
-
id: string
The ID.
400 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
The following examples show how to retrieve payment methods by submitting GET requests on the REST resource using cURL. For more information, see Use cURL.
Example 1: Retrieve all available payment methods.
The following request uses the documented query criteria.
curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/'
where:
- host is the URL for the REST server.
- port is the port for the REST server.
- version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.
Example of Response Body
The following example shows the contents of the response body.
[
{
"account": [
{
"id": "0.0.0.1+-account+277501"
}
],
"accountNumberType": "None",
"accountNumber": "1111222233334444",
"id": "0.0.0.1+-payinfo-dd+728505",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+728505",
"name": "Main Direcct Debit",
"owner": "newName",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"nameOnCard": "a a",
"id": "0.0.0.1+-payinfo-cc+914720",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+914720",
"street": "Kadubusanalli",
"cardType": "credit",
"postCode": "560103",
"name": "PIN Payinfo Object",
"cardNumber": "1001663125512161111",
"city": "Bengaluru",
"country": "IN",
"stateOrProvince": "KARNATAKA",
"isPreferred": false,
"@type": "bankCard",
"brand": "visa"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1031192",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031192",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1028632",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1028632",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1029994",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029994",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1034824",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1034824",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1033800",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1033800",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1035848",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1035848",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1029912",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029912",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1032520",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1032520",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1029784",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029784",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1031832",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031832",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1028586",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1028586",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1030634",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1030634",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1033544",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1033544",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1030232",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1030232",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1031256",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031256",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1029098",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029098",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1031146",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031146",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1031768",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031768",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
}
]Example 2: Get payment method associated with a particular account.
The following request uses the documented query criteria.
curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/?account.id=0.0.0.1+-account+228562'
where:
- host is the URL for the REST server.
- port is the port for the REST server.
- version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.
Example of Response Body
The following example shows the contents of the response body.
[
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"nameOnCard": "a a",
"id": "0.0.0.1+-payinfo-cc+914720",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+914720",
"street": "Kadubusanalli",
"cardType": "credit",
"postCode": "560103",
"name": "PIN Payinfo Object",
"cardNumber": "1001663125512161111",
"city": "Bengaluru",
"country": "IN",
"stateOrProvince": "KARNATAKA",
"isPreferred": false,
"@type": "bankCard",
"brand": "visa"
},
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"nameOnCard": "New CC",
"id": "0.0.0.1+-payinfo-cc+1066043",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+1066043",
"street": "KAR",
"cardType": "credit",
"postCode": "147001",
"name": "Main Direcct Debit",
"cardNumber": "2222333344445555 ",
"city": "KAR",
"country": "AF",
"stateOrProvince": "KAR",
"isPreferred": false,
"@type": "bankCard",
"brand": "visa"
},
{
"emailAddress": "",
"city": "Bengaluru",
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"country": "IN",
"id": "0.0.0.1+-payinfo-invoice+361919",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-invoice+361919",
"invoiceName": "a a",
"name": "INv1203",
"street": "Kadubusanalli",
"stateOrProvince": "KARNATAKA",
"mediumType": "postalAddress",
"postCode": "560103",
"isPreferred": true,
"@type": "invoice"
},
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"nameOnCard": "a a",
"id": "0.0.0.1+-payinfo-cc+765076",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+765076",
"street": "Kadubusanalli",
"cardType": "credit",
"postCode": "560103",
"name": "PIN Payinfo Object",
"cardNumber": "1001663125512161111",
"city": "Bengaluru",
"country": "IN",
"stateOrProvince": "KARNATAKA",
"isPreferred": false,
"@type": "bankCard",
"brand": "visa"
},
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1045694",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1045694",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1047742",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1047742",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1062341",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1062341",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1065732",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1065732",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"emailAddress": "abc@xyz.com",
"city": "KAR",
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"country": "AF",
"id": "0.0.0.1+-payinfo-invoice+1062471",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-invoice+1062471",
"invoiceName": "test ps8",
"name": "New Invoice-1",
"street": "KAR",
"stateOrProvince": "KAR",
"mediumType": "emailAddress",
"postCode": "147001",
"isPreferred": true,
"@type": "invoice"
},
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"nameOnCard": "New CC",
"id": "0.0.0.1+-payinfo-cc+1070424",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+1070424",
"street": "KAR",
"cardType": "credit",
"postCode": "147001",
"name": "Main Direcct Debit",
"cardNumber": "2222333344445555 ",
"city": "KAR",
"country": "AF",
"stateOrProvince": "KAR",
"isPreferred": false,
"@type": "bankCard",
"brand": "visa"
}
]Example 3: Retrieves payment method using offset and limit.
The following request uses the documented query criteria.
curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/?@type=bankAccountDebit&offset=5&limit=3'
where:
- host is the URL for the REST server.
- port is the port for the REST server.
- version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.
Example of Response Body
The following example shows the contents of the response body.
[
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1034824",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1034824",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1033800",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1033800",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1035848",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1035848",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
}
]Example 4: Using filter field for /payinfo/dd
The following examples show how to retrieve a payment method using a filter field by submitting GET requests on the REST resource using cURL. For more information, see Use cURL.
curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/?@type=bankAccountDebit&owner=ABC%20ABC'
where:
- host is the URL for the REST server.
- port is the port for the REST server.
- version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.
Example of Response Body
The following example shows the contents of the response body.
[
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1031192",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031192",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1028632",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1028632",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1029994",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029994",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1034824",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1034824",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1033800",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1033800",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1035848",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1035848",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1029912",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029912",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1032520",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1032520",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1029784",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029784",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1031832",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031832",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1028586",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1028586",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1030634",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1030634",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1033544",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1033544",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1030232",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1030232",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1031256",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031256",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1029098",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029098",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1031146",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031146",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1031768",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031768",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1028440",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1028440",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": true,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
},
{
"account": [
{
"id": "0.0.0.1+-account+277121"
}
],
"accountNumberType": "None",
"accountNumber": "12345678901234567",
"id": "0.0.0.1+-payinfo-dd+1030488",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1030488",
"name": "Main Direcct Debit",
"owner": "ABC ABC",
"isPreferred": false,
"@type": "bankAccountDebit",
"bank": "Fictitious Bank.inc"
}
]Example 5: Using filter field for /payinfo/cc
The following request uses the documented query criteria.
curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/?@type=bankCard&postCode=147001'
where:
- host is the URL for the REST server.
- port is the port for the REST server.
- version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.
Example of Response Body
The following example shows the contents of the response body.
[
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"nameOnCard": "New CC",
"id": "0.0.0.1+-payinfo-cc+1066043",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+1066043",
"street": "KAR",
"cardType": "credit",
"postCode": "147001",
"name": "Main Direcct Debit",
"cardNumber": "2222333344445555 ",
"city": "KAR",
"country": "AF",
"stateOrProvince": "KAR",
"isPreferred": false,
"@type": "bankCard",
"brand": "visa"
},
{
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"nameOnCard": "New CC",
"id": "0.0.0.1+-payinfo-cc+1070424",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+1070424",
"street": "KAR",
"cardType": "credit",
"postCode": "147001",
"name": "Main Direcct Debit",
"cardNumber": "2222333344445555 ",
"city": "KAR",
"country": "AF",
"stateOrProvince": "KAR",
"isPreferred": false,
"@type": "bankCard",
"brand": "visa"
}
]Example 6: Using filter field for /payinfo/invoice
The following request uses the documented query criteria.
curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/?@type=invoice&street=KAR'
where:
- host is the URL for the REST server.
- port is the port for the REST server.
- version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.
Example of Response Body
The following example shows the contents of the response body.
[
{
"emailAddress": "abc@xyz.com",
"city": "KAR",
"account": [
{
"id": "0.0.0.1+-account+228562"
}
],
"country": "AF",
"id": "0.0.0.1+-payinfo-invoice+1062471",
"href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-invoice+1062471",
"invoiceName": "test ps8",
"name": "New Invoice-1",
"street": "KAR",
"stateOrProvince": "KAR",
"mediumType": "emailAddress",
"postCode": "147001",
"isPreferred": true,
"@type": "invoice"
}
]